Subject: Re: linux-next: Tree for Oct 31 (vboxguest)

From: Changbin Du <[email-masked]>
Date: Fri, 2 Nov 2018 23:59:33 +0000

On Fri, Nov 02, 2018 at 04:54:25PM +0100, Arnd Bergmann wrote:
> On 11/2/18, Masahiro Yamada <[email-masked]> wrote:
> > On Thu, Nov 1, 2018 at 11:32 PM Changbin Du <[email-masked]> wrote:
> >> On Thu, Nov 01, 2018 at 12:32:48PM +0900, Masahiro Yamada wrote:
> >
> > How about clang?
> >
> > For clang, -Og might be equivalent to -O1 at this moment, but I am not
> > sure.
> >
> > In my understanding, Clang does not inline functions marked with 'static
> > inline'
> > for -Og (or -O1) optimization level.
> >
> > Theoretically, 'inline' keyword is a just hint for the compiler, after all.
> 
> I think this means that we cannot build the kernel in that configuration,
> at least with CONFIG_OPTIMIZE_INLINING=y. Without that option,
> every 'inline' becomes 'always_inline'.
> 
>        Arnd
I have verified the new configuration with GCC. CONFIG_OPTIMIZE_INLINING is a
whole different thing and I dont think it is so aggressive. Because many of
kernel functions marked as 'inline' must be inlined. Otherwise the kernel cannot
be compiled at all with CONFIG_OPTIMIZE_INLINING=y. If you wanna to try, just
remove the 'inline' keyword from some kernel functions to see what happens.

-- 
Thanks,
Changbin Du